Notch Block crashes out

Hi
I haven’t been able to get a notch block to run in LightAct so far. I’ve exported a few different blocks for media server, and built the map in LightAct. The moment I select the block name in the Notch Block reader note, LightAct crashes out with a bug splat error. I’m using the learning edition of Notch and have tried LightAct 3.3.0 and 3.3.1

Files are here
https://1drv.ms/u/s!Ahmvhlk_V9lYjMEHrr_lcsitBkHtnQ?e=8ws4je

thanks

Thanks Jason,

We’ll take a look, but it might take some time because we are commissioning a project.

I’ll be in touch.
Mitja

Hello Jason,

We played your Notch blocks successfully in LightAct just now.


I looked at your crash reports on BugSplat and it seems the crash happens on initGL function of Notch SDK.

This might be a driver issue. Can you please make sure you have the latest GPU drivers installed?

If you keep getting crashes after that, please let me know your GPU model and driver version number.

Thanks,
Mitja

Thanks. But same issue after I’ve upgraded the drivers to the latest version.
Nvidia P5000
drivers 441.66 release date 12/10/2019

Hello Jason,

It turns out the most likely solution is to actually downgrade the drivers to either 431.98 or earlier. You can find them on this page.

Please try it out and let me know if it solves your problem.

p.s. the reason for this is in Notch’s SDK, which was only recently upgraded to support the latest NVidia drivers. It’s going to be implemented in the next LightAct release.

Cheers,
Mitja

Hello Jason,

We just published 3.3.2 which has the latest Notch SDK, which doesn’t exhibit this behaviour with the latest drivers.

Please let me know if you have any problems.

Cheers,
M

Thanks - is there a specific version of notch or requirements on how to compile the notch block? I’ve tried the new release and no crash, but I get an error reading notchblock. there is nothing in the log about why…
thanks

Hi Jason,

Not that we know of.

I just played your LightActBlock.dfxdll you sent a while ago successfully though. It seems it was created with Notch 0.9.23.074.

Are you having problems this block too? If not and you are having problems just with one specific block please feel free to send it over to us so we can investigate.

To state the obvious but very often forgotten thing (at least with me): you do need to have a valid Notch playback dongle connected to one of your USB ports. Otherwise you will get Block read error label in the node.
image

Please let me know how it goes.

Thanks!
Mitja

Ah thank you. Problem solved - Notch dongle it was

1 Like